Announcement

Collapse
No announcement yet.

4DPi-24-HAT won' t boot Raspian

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • PaulF8080
    commented on 's reply
    I had the same problem. The one on the leaflet in the box had the wheezy link. It depends on what you mean by latest. The one you call older is actually the latest wheezy. I am still on wheezy. Raspian still has both wheezy and jessie on their download page.

    On my system I have directories non pi2 and v7 for b+ pi 2:
    [email protected] ~ $ ls -l /lib/modules
    total 12
    drwxrwxr-x 3 pi pi 4096 Jul 21 13:41 3.18.11+
    drwxrwxr-x 3 pi pi 4096 Jul 21 11:52 3.18.11-v7+

  • James_4DSystems
    replied
    It should be a straight forward process, so if its not working then something strange is going on.
    I would suggest when you try again tomorrow, to check what is mentioned in the permission issue thread, and just see if that setting is incorrect. Its not so much that you see a permission error, its if that setting is incorrect, as the permission error itself flashes up so fast it is difficult to see it, and more so on the Pi2 I would imagine.

    Both Wheezy and Jessie should work fine on the latest release of the Driver.

    Leave a comment:


  • Daniac
    replied
    I'm ok for the moment I have a working screen now, maybe I'll go back an d try the later drivers again tomorrow and see what I get maybe it was just an bad install anamoly and timing has me believing it is a driver failure.

    Leave a comment:


  • Daniac
    commented on 's reply
    I did see that post and did check the permissions but I had no permission errors

  • Daniac
    commented on 's reply
    Yes the same data sheet as you have listed above, it tells you to wget :
    http://www.4dsystems.com.au/downloads/4 DPi/All/4d-hats_4-1-10_v1.0.tar.gz
    But that file does not work for me.

    I am using Wheezy on a Raspberry Pi2 I am not updating the config to change the kernel as noted for for the earlier versions of Pi, since I have the latest Pi2 I did not make a kernel change.

  • James_4DSystems
    replied
    Also, have you seen this post?
    http://forum.4dsystems.com.au/forum/...th-permissions

    Maybe related to what you are seeing, but you haven't mentioned permission errors, but it flashes up very fast.

    Leave a comment:


  • James_4DSystems
    replied
    Hello

    The file it tells you to download: http://www.4dsystems.com.au/download...10_v1.0.tar.gz is the correct file, and is the latest release.

    This file: http://www.4dsystems.com.au/download...l_R_1_0.tar.gz is older, and is not the latest.

    What Raspbian are you using and what version? Wheezy or Jessie?

    What Datasheet are you referring to, just to be 100% sure we are all working on the same information.
    http://www.4dsystems.com.au/productp...heet_R_1_3.pdf
    That one?

    I assume you have it loading the correct Kernel for the Pi2 ?

    Regards

    Leave a comment:


  • Daniac
    replied
    I have it working now

    So two issues occurred , one is my fault for not running sudo apt-get upgrade when I first ran my new Raspian image, shame on me.

    But after running that I still did not have a working screen because the instructions tell me to download :
    http://www.4dsystems.com.au/downloads/4DPi/All/4d-hats_4-1-10_v1.0.tar.gz

    However that file is apparently older and doesn't work with the current Raspian? This file (I stumbled onto this in a another post here on these forums) does work as detailed in your instructions.
    wget http://www.4dsystems.com.au/download...l_R_1_0.tar.gz


    In the end it would be easier on your customers (some of us need more instruction that others) to detail the upgrade function and to manage your driver files a bit better. Having an older file that dow not function with newer Raspian versions listed in the instructions and new file link buried in the forums is not really easy for some of us to figure out. Not trying to be a jerk, just pointing out some issues that could be resolved with better management and documentation.

    Leave a comment:


  • Daniac
    replied
    Okay so I was failing to perform an upgrade, and now I have done both update and upgrade (in that order) and rebooted successfully. Next I installed the 4DPi drivers and installed them, I also did not follow your instructions above, I went ahead and edited /etc/rc.local . Then shutdown and installed the screen and powered back up. Now it boots up and I can access via SSH but alas, the screen is black....

    Leave a comment:


  • Bryan
    replied
    Hi Daniac,


    Sorry that you are having some issues with the installation.

    For us to be able to find the problem maybe we should start with sharing information on the Raspberry Pi2 setup first.

    Have you tried 'sudo apt-get update' and 'sudo apt-get upgrade' on your newly installed RPi2 system prior to installing the drivers of the 4DPi-24-HAT. If not please try these first, so we can easily isolate the problem. Also, please do not change content of the rc.local for the meantime.

    Please make sure that the 4DPi-24-HAT is not plugged into the RPi2 when doing the steps mentioned above. Report back the results.


    Regards,

    Leave a comment:


  • Daniac
    started a topic 4DPi-24-HAT won' t boot Raspian

    4DPi-24-HAT won' t boot Raspian

    I have been wrestling with this for a day trying to get a full boot from a Raspberry Pi2 with Raspian installed. After I install the kernel update from : http://www.4dsystems.com.au/downloads/4DPi/All/4d-hats_4-1-10_v1.0.tar.gz

    I update the rc.local per the instructions, shutdown, install the screen, boot back up and the boot hangs at "waiting for root device dev/mmcblk0p2" which I believe is the the SD Card? It did boot from this card before the kernel update.

    The 4DPi 24 Hat does display as it attempts to boot up, but sadly it hangs and does not complete the boot sequence.

    Any help would be greatly appreciated!

Working...
X